#include<bits/stdc++.h>
using namespace std;

template <class T>
struct Point {
	typedef Point P;
	T x, y;
	explicit Point (T x = 0, T y = 0) : x (x), y (y) {}
	
	bool operator < (P p) const {return tie (x, y) < tie (p.x, p.y);}
	bool operator == (P p) const {return tie (x, y) == tie (p.x, p.y);}
	P operator + (P p) const {return P(x + p.x, y + p.y);}
	P operator - (P p) const {return P(x - p.x, y - p.y);}
	P operator * (T d) const {return P(x * d, y * d);}
	P operator / (T d) const {return P(x / d, y / d);}
	T dot (P p) const {return x * p.x + y * p.y;}
	T cross (P p) const {return x * p.y - y * p.x;}
	T cross (P a, P b) const {return (a - *this).cross (b - *this);}
	T dist2 () const {return x * x + y * y;}
	long double dist () const {return sqrt (double (dist2 ()));}
	long double angle () const {return atan2 (y, x);}
	P unit () const {return *this / dist ();}
	P perp () const {return P (-y, x);}
	P normal () const {return perp ().unit ();}
	P rotate (long double a) const {
		return P (x * cos (a) - y * sin (a), x * sin (a) + y * cos (a));
	}
};

template <class P>
int lineIntersection (const P& s1, const P& e1, const P& s2, const P& e2,
		P& r) {
	
	if ((e1 - s1).cross (e2 - s2)) {
		r = s2 - (e2 - s2) * (e1 - s1).cross (s2 - s1) / (e1 - s1).cross (e2 - s2);
		return 1;
	} else {
		return - ((e1 - s1).cross (s2 - s1) == 0 || s2 == e2);
	}
} 

template <class T>
T polygonArea2 (vector <Point <T>>& v) {
	T a = v.back ().cross (v[0]);
	
	for (int i = 0; i < (int) v.size () - 1; i++) {
		a += v[i].cross (v[i+1]);
	}
	
	return a;
}

typedef Point<long double> P;
vector <P> polygonCut (const vector <P>& poly, P s, P e) {
	vector <P> res;
	
	for (int i = 0; i < (int) poly.size (); i++) {
		P cur = poly[i], prev = i ? poly[i-1] : poly.back ();
		bool side = s.cross (e, cur) < 0;
		
		if (side != (s.cross (e, prev) < 0)) {
			res.emplace_back ();
			lineIntersection(s, e, cur, prev, res.back ());
		}
		
		if (side) {
			res.push_back (cur);
		}
	}
	
	return res;
}

int main () {
	
	vector <P> rect, circ;
	
	long double X, Y, R, Ax, Ay, Bx, By;
	
	cin >> X >> Y >> R >> Ax >> Ay >> Bx >> By;
	
	for (long double i = R; i >= -R; i -= 0.0001) {
		circ.push_back (P (i + X, Y + sqrt (fabs (R * R - i * i))));
	}
	
	for (long double i = -R; i <= R; i += 0.0001) {
		circ.push_back (P (i + X, Y - sqrt (fabs (R * R - i * i))));
	}
	
	cout << "Yeah" << endl;
	//circ = polygonCut (circ, P (Ax, Ay), P (Ax, By));
	//circ = polygonCut (circ, P (Ax, By), P (Bx, By));
	//circ = polygonCut (circ, P (Bx, Ay), P (Ax, Ay));
	//circ = polygonCut (circ, P (Bx, Ay), P (Bx, By));
	
	cout << polygonArea2 (circ);
	
	
}
